Your Moodle version

General plugins (Local): Cohort role synchronization

local_cohortrole
Maintained by Picture of Paul Holden Paul Holden
Automatically synchronize cohort members into system roles.
1k
109
1
Moodle 2.6, 2.7, 2.8, 2.9

Moodle Cohorts are a great tool for creating site-wide groups of users, and using these groups to enrol users en-masse into courses. This plugin extends the functionality of cohorts by allowing them to be automatically assigned to system-level roles.

This is especially useful for local customizations, i.e. you want your Staff Users cohort to be enrolled into all staff related courses, but also assign them to a system role that grants them extra permissions across the site. By listening for relevant events, any amendments made to configured cohorts will automatically be reflected in the appropriate roles.

After installing the plugin, linking a cohort to a role is as simple as selecting each from a dropdown menu and pressing Save changes:

Create Synchronization

See the project readme file for the most up-to-date instructions.

Supports Moodle version 2.6 to 2.9.

The latest release is 1.3 (build 2014103102):

  • Clean up synchronizations when role is deleted.
  • Remove cron call

Screenshots

Screenshot #0
Screenshot #1

Contributors

Picture of Paul Holden
Paul Holden (Lead maintainer)
Please login to view contributors details and/or to contact them

Comments RSS

Show comments
  • MD shot of me from his iphone4
    Wed, Dec 4, 2013, 11:11 AM
    Hi Paul,
    thanks for sharing this, that's an interesting choice for a logo wink

    I think we could use some screenshots or diagrams for a quick overview explanation of how the UI lets us do the sync ( and setup of it).
  • Picture of Inbar Dotan
    Fri, Aug 15, 2014, 12:10 AM
    Hi Paul,
    This is great, thank you!
    Is there a chance for extending this plugin so that cohorts could be assigned to courses and categories as "Other Roles"?
  • Picture of Paul Holden
    Tue, Aug 26, 2014, 4:20 AM
    Hi Inbar,
    Please see the following ticket in the project bug tracker: https://github.com/paulholden/moodle-local_cohortrole/issues/1

    (Enrolling cohorts in courses is already possible in standard Moodle, btw ;) )
  • Star
    Thu, Sep 11, 2014, 6:31 AM
    Is this plugin compatible with Moodle V2.7?
  • Picture of Paul Holden
    Fri, Sep 19, 2014, 11:48 PM
    Hi Jinxing,
    Although the plugin was designed for Moodle 2.6, it should continue to work fine in later versions - please let me know if not!
  • Picture of Paul Holden
    Thu, Jul 2, 2015, 10:34 PM
    Hi all,

    I've tested the plugin successfully against the latest git master (3.0) and it works fine, so will work in any supported version prior to that.
Please login to post comments